---
title: "Searches Orders by parameters"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed/operations/get-orders"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/d3750347-3c58-45e9-b3b1-b23a00e713ed.md

# Searches Orders by parameters

`GET` `/orders`

Operation ID: `get-orders`

Searches Orders by parameters

## Query parameters

- `created_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Created since
- `modified_since` (string, date-time, optional) - Format - date-time (as date-time in RFC3339). Modified since
- `include_items` (boolean, optional) - Include items
- `include_fulfilments` (boolean, optional) - Include fulfilments
- `include_payments` (boolean, optional) - Include payments
- `include_order_vouchers` (boolean, optional) - Include order vouchers
- `order_by` (string, optional) - Order by. Available field name values: id, outlet, sales_channel, customer, sales_person, created_on, modified_on. Available direction values: asc, desc. Example: id asc, outlet desc
- `filter_by` (string, optional) - Filter by. Available field name values: order_number, order_status_id, sales_channel_id, outlet_id, customer_id, customer_number, customer_email, sales_person_id. In string values: '|' and ',' characters have to be escaped with slash, i.e. '\\,' '\\|' For operators that support multiple values (in, notin): multiple values are delimited using '|' character Available operators: eq - Equal neq - Not equals lt - Less lte - Less or equal gt - Greater gte - Greater or equal in - In notin - Not In contains - Contains isnull - Is Null isnullorempty - Is Null Or Empty isnotnull - Is Not Null startswith - Starts with endswith - Ends with doesnotcontain - Does not contain For non-nullable fields operators isnull and isnotnull are unavailable For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable For strings operators: lt, lte, gt, gte are unavailable Example: created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_number1|order_number2
- `page_number` (integer, int32, optional) - Format - int32.
- `page_size` (integer, int32, optional) - Format - int32.

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Paging Response with Orders data
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: V2
servers:
  - url: https://api.retailexpress.com.au/v2
paths:
  /orders:
    get:
      tags:
        - orders
      summary: Searches Orders by parameters
      description: Searches Orders by parameters
      operationId: get-orders
      parameters:
        - name: created_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Created since
          schema:
            type: string
            description: Created since
            format: date-time
            nullable: true
        - name: modified_since
          in: query
          description: Format - date-time (as date-time in RFC3339). Modified since
          schema:
            type: string
            description: Modified since
            format: date-time
            nullable: true
        - name: include_items
          in: query
          description: Include items
          schema:
            type: boolean
            description: Include items
        - name: include_fulfilments
          in: query
          description: Include fulfilments
          schema:
            type: boolean
            description: Include fulfilments
        - name: include_payments
          in: query
          description: Include payments
          schema:
            type: boolean
            description: Include payments
        - name: include_order_vouchers
          in: query
          description: Include order vouchers
          schema:
            type: boolean
            description: Include order vouchers
        - name: order_by
          in: query
          description: "Order by. \r

            \r

            Available field name values: id, outlet, sales_channel, customer,
            sales_person, created_on, modified_on. \r

            \r

            Available direction values: asc, desc. \r

            \r

            Example: id asc, outlet desc"
          schema:
            type: string
            description: "Order by. \r

              \r

              Available field name values: id, outlet, sales_channel, customer,
              sales_person, created_on, modified_on. \r

              \r

              Available direction values: asc, desc. \r

              \r

              Example: id asc, outlet desc"
            nullable: true
        - name: filter_by
          in: query
          description: "Filter by. \r

            \r

            Available field name values: order_number, order_status_id,
            sales_channel_id, outlet_id, customer_id, customer_number,
            customer_email, sales_person_id.\r

            \            \r

            In string values: '|' and ',' characters have to be escaped with
            slash, i.e. '\\\\,' '\\\\|'\r

            \            \r

            For operators that support multiple values (in, notin): multiple
            values are delimited using '|' character\r

            \r

            Available operators:\r

            \r

            eq -  Equal\r

            \r

            neq - Not equals\r

            \r

            lt  - Less\r

            \r

            lte - Less or equal\r

            \r

            gt -  Greater\r

            \r

            gte - Greater or equal\r

            \r

            in  - In\r

            \r

            notin - Not In\r

            \            \r

            contains - Contains\r

            \r

            isnull - Is Null\r

            \            \r

            isnullorempty - Is Null Or Empty\r

            \r

            isnotnull - Is Not Null\r

            \r

            startswith - Starts with\r

            \r

            endswith - Ends with\r

            \r

            doesnotcontain - Does not contain\r

            \            \r

            For non-nullable fields operators isnull and isnotnull are
            unavailable\r

            \r

            For dates operators: contains, startswith, endswith, doesnotcontain,
            isnullorempty are unavailable\r

            \            \r

            For strings operators: lt, lte, gt, gte are unavailable\r

            \            \r

            Example:
            created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_numb\
            er1|order_number2"
          schema:
            type: string
            description: "Filter by. \r

              \r

              Available field name values: order_number, order_status_id,
              sales_channel_id, outlet_id, customer_id, customer_number,
              customer_email, sales_person_id.\r

              \            \r

              In string values: '|' and ',' characters have to be escaped with
              slash, i.e. '\\\\,' '\\\\|'\r

              \            \r

              For operators that support multiple values (in, notin): multiple
              values are delimited using '|' character\r

              \r

              Available operators:\r

              \r

              eq -  Equal\r

              \r

              neq - Not equals\r

              \r

              lt  - Less\r

              \r

              lte - Less or equal\r

              \r

              gt -  Greater\r

              \r

              gte - Greater or equal\r

              \r

              in  - In\r

              \r

              notin - Not In\r

              \            \r

              contains - Contains\r

              \r

              isnull - Is Null\r

              \            \r

              isnullorempty - Is Null Or Empty\r

              \r

              isnotnull - Is Not Null\r

              \r

              startswith - Starts with\r

              \r

              endswith - Ends with\r

              \r

              doesnotcontain - Does not contain\r

              \            \r

              For non-nullable fields operators isnull and isnotnull are
              unavailable\r

              \r

              For dates operators: contains, startswith, endswith,
              doesnotcontain, isnullorempty are unavailable\r

              \            \r

              For strings operators: lt, lte, gt, gte are unavailable\r

              \            \r

              Example:
              created_on:gte:2021-06-03T05:48:09+10:00,order_number:in:order_nu\
              mber1|order_number2"
            nullable: true
        - name: page_number
          in: query
          description: Format - int32.
          schema:
            maximum: 100000
            minimum: 1
            type: integer
            format: int32
        - name: page_size
          in: query
          description: Format - int32.
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Paging Response with Orders data
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Order.PagingResponse"
              example:
                data:
                  - billing_address:
                      country: string
                      country_code: string
                      state: string
                      suburb: string
                      address_line1: string
                      address_line2: string
                      postcode: string
                      company: string
                      mobile: string
                      phone: string
                      first_name: string
                      last_name: string
                      email: string
                    private_comments: string
                    delivery_address:
                      country: string
                      country_code: string
                      state: string
                      suburb: string
                      address_line1: string
                      address_line2: string
                      postcode: string
                      company: string
                      mobile: string
                      phone: string
                      first_name: string
                      last_name: string
                      id: 0
                      default: true
                      modified_on: string
                    ext_unique_id: string
                    freight_total: 0
                    freight_type:
                      id: 0
                      name: string
                    id: 0
                    customer:
                      customer_number: string
                      custom_reference: string
                      Email: string
                      first_name: string
                      id: 0
                      last_name: string
                    order_number: string
                    sales_channel:
                      id: 0
                      name: string
                    sales_person:
                      first_name: string
                      id: 0
                      last_name: string
                    order_status:
                      id: 0
                      status: string
                    order_total: 0
                    outlet:
                      id: 0
                      name: string
                      modified_on: string
                    public_comments: string
                    taxable: 0
                    created_on: string
                    modified_on: string
                    fulfilled_in_full_on: string
                    paid_in_full_on: string
                    order_items:
                      - id: 0
                        external_id: string
                        order_item_type: string
                        product:
                          id: 0
                          product_type:
                            id: 0
                            name: string
                            modified_on: string
                          supplier_sku: string
                          short_description: string
                        original_price: 0
                        sell_price: 0
                        order_item_total: 0
                        order_item_discount_total: 0
                        taxable: true
                        tax_rate: 0
                        supplier_buy_ex: 0
                        direct_costs_ex: 0
                        cogs_ex: 0
                        fulfilment_method: string
                        due_date: string
                        delivery_driver:
                          id: 0
                          name: string
                        delivery_zone:
                          id: 0
                          name: string
                        delivery_time:
                          id: 0
                          name: string
                        quantity_ordered: 0
                        quantity_fulfiled: 0
                        fulfil_outlet:
                          id: 0
                          name: string
                          modified_on: string
                        source_outlet:
                          id: 0
                          name: string
                          modified_on: string
                        applied_promotional_campaigns:
                          - id: 0
                            name: string
                        created_on: string
                        modified_on: string
                        linked_purchase_order:
                          id: 0
                          status:
                            id: 0
                            name: string
                          eta: string
                          created_on: string
                          modified_on: string
                    fulfilments:
                      - id: 0
                        order_item_id: 0
                        quantity_fulfiled: 0
                        fulfil_outlet:
                          id: 0
                          name: string
                          modified_on: string
                        created_on: string
                    payments:
                      - id: 0
                        external_id: string
                        payment_method:
                          id: 0
                          name: string
                        amount: 0
                        created_on: string
                    vouchers:
                      - id: 0
                        code: string
                        type:
                          id: 0
                          name: string
                        initial_value: 0
                        balance: 0
                        created_on: string
                        expires_on: string
                page_number: 0
                page_size: 0
                total_records: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    Order.PagingResponse:
      title: ""
      type: object
      properties:
        data:
          type: array
          items:
            $ref: "#/components/schemas/Order"
          nullable: true
        page_number:
          type: integer
          format: int32
        page_size:
          type: integer
          format: int32
        total_records:
          type: integer
          format: int32
      additionalProperties: false
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Order:
      title: ""
      type: object
      properties:
        billing_address:
          $ref: "#/components/schemas/BillingAddress"
        private_comments:
          type: string
          nullable: true
        delivery_address:
          $ref: "#/components/schemas/DeliveryAddress"
        ext_unique_id:
          type: string
          description: External ID of the payment, if applicable.
          nullable: true
        freight_total:
          type: number
          description: Freight total
          format: double
          nullable: true
        freight_type:
          $ref: "#/components/schemas/OrderFreightType"
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        customer:
          $ref: "#/components/schemas/OrderCustomer"
        order_number:
          type: string
          description: The Order identifier in Retail Express.
          nullable: true
        sales_channel:
          $ref: "#/components/schemas/OrderSalesChannel"
        sales_person:
          $ref: "#/components/schemas/OrderSalesPerson"
        order_status:
          $ref: "#/components/schemas/OrderStatus"
        order_total:
          type: number
          description: Order total
          format: double
          nullable: true
        outlet:
          $ref: "#/components/schemas/OrderOutlet"
        public_comments:
          type: string
          description: Public comments
          nullable: true
        taxable:
          type: integer
          description: Is taxable
          format: int32
          readOnly: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
        fulfilled_in_full_on:
          type: string
          description: Fulfilled in full on
          format: date-time
          nullable: true
        paid_in_full_on:
          type: string
          description: Paid in full on
          format: date-time
          nullable: true
        order_items:
          type: array
          items:
            $ref: "#/components/schemas/OrderItem"
          description: Order items.
          nullable: true
        fulfilments:
          type: array
          items:
            $ref: "#/components/schemas/Fulfilment"
          description: Fulfilments.
          nullable: true
        payments:
          type: array
          items:
            $ref: "#/components/schemas/OrderPayment"
          description: Payments.
          nullable: true
        vouchers:
          type: array
          items:
            $ref: "#/components/schemas/OrderVoucher"
          description: Vouchers.
          nullable: true
      additionalProperties: false
      description: Order Model
    BillingAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
      additionalProperties: false
      description: Billing address model
    DeliveryAddress:
      title: ""
      type: object
      properties:
        country:
          type: string
          description: Country
          nullable: true
        country_code:
          type: string
          description: Country Code
          nullable: true
        state:
          type: string
          description: State
          nullable: true
        suburb:
          type: string
          description: Suburb
          nullable: true
        address_line1:
          type: string
          description: Address line 1
          nullable: true
        address_line2:
          type: string
          description: Address line 2
          nullable: true
        postcode:
          type: string
          description: Post code
          nullable: true
        company:
          type: string
          description: Company
          nullable: true
        mobile:
          type: string
          description: Mobile phone
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        default:
          type: boolean
          description: Is Default
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Delivery Address model
    OrderFreightType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Freight Type Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Freight Type name.
          nullable: true
      additionalProperties: false
    OrderCustomer:
      title: ""
      type: object
      properties:
        customer_number:
          type: string
          description: Customer number
          nullable: true
        custom_reference:
          type: string
          description: Custom reference
          nullable: true
        Email:
          type: string
          description: Last name
          nullable: true
        first_name:
          type: string
          description: First name
          nullable: true
        id:
          type: integer
          description: Identifier
          format: int32
        last_name:
          type: string
          description: Last name
          nullable: true
      additionalProperties: false
    OrderSalesChannel:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        name:
          type: string
          description: First name
          nullable: true
      additionalProperties: false
    OrderSalesPerson:
      title: ""
      type: object
      properties:
        first_name:
          type: string
          description: First name
          nullable: true
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        last_name:
          type: string
          description: Last Name
          nullable: true
      additionalProperties: false
    OrderStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Id.
          format: int32
          nullable: true
        status:
          type: string
          description: Order Id.
          nullable: true
      additionalProperties: false
    OrderOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Order Outlet Model
    OrderItem:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order item id.
          format: int32
          nullable: true
        external_id:
          type: string
          description: External unique id
          nullable: true
        order_item_type:
          type: string
          description: Order item type
          nullable: true
        product:
          $ref: "#/components/schemas/OrderItemProduct"
        original_price:
          type: number
          description: Original price
          format: double
          nullable: true
        sell_price:
          type: number
          description: Sell price
          format: double
        order_item_total:
          type: number
          description: Order item total
          format: double
          readOnly: true
        order_item_discount_total:
          type: number
          description: Order item discount total
          format: double
          nullable: true
        taxable:
          type: boolean
          description: Is taxable
          nullable: true
        tax_rate:
          type: number
          description: Tax rate
          format: double
          nullable: true
        supplier_buy_ex:
          type: number
          description: Supplier Buy Ex
          format: double
          nullable: true
        direct_costs_ex:
          type: number
          description: Direct Costs Ex
          format: double
          nullable: true
        cogs_ex:
          type: number
          description: COGS Ex
          format: double
          nullable: true
          readOnly: true
        fulfilment_method:
          type: string
          description: Fulfilment Method
          nullable: true
        due_date:
          type: string
          description: Due date
          format: date-time
          nullable: true
        delivery_driver:
          $ref: "#/components/schemas/DeliveryDriver"
        delivery_zone:
          $ref: "#/components/schemas/DeliveryZone"
        delivery_time:
          $ref: "#/components/schemas/DeliveryTime"
        quantity_ordered:
          type: integer
          description: Quantity Ordered
          format: int32
        quantity_fulfiled:
          type: integer
          description: Quantity Fulfiled
          format: int32
        fulfil_outlet:
          $ref: "#/components/schemas/OrderItemOutlet"
        source_outlet:
          $ref: "#/components/schemas/OrderItemOutlet"
        applied_promotional_campaigns:
          type: array
          items:
            $ref: "#/components/schemas/Campaign"
          description: Promotional campaigns
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        modified_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
        linked_purchase_order:
          $ref: "#/components/schemas/OrderPurchaseOrder"
      additionalProperties: false
      description: Order Item Model
    Fulfilment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Fulfilment id
          format: int32
        order_item_id:
          type: integer
          description: Order Item Id
          format: int32
        quantity_fulfiled:
          type: integer
          description: Fulfiled quantity of products
          format: int32
        fulfil_outlet:
          $ref: "#/components/schemas/OrderFulfilmentOutlet"
        created_on:
          type: string
          description: Created On
          format: date-time
      additionalProperties: false
      description: Fulfilment model
    OrderPayment:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Order Payment Id .
          format: int32
        external_id:
          type: string
          description: External Id.
          nullable: true
        payment_method:
          $ref: "#/components/schemas/PaymentMethod"
        amount:
          type: number
          description: Amount.
          format: double
        created_on:
          type: string
          description: Created On.
          format: date-time
      additionalProperties: false
      description: Order Payment Model
    OrderVoucher:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher Id.
          format: int32
          nullable: true
        code:
          type: string
          description: Voucher code
          nullable: true
        type:
          $ref: "#/components/schemas/VoucherVoucherType"
        initial_value:
          type: number
          description: Initial value
          format: double
          nullable: true
        balance:
          type: number
          description: Balance
          format: double
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        expires_on:
          type: string
          description: Modified on
          format: date-time
          nullable: true
      additionalProperties: false
    OrderItemProduct:
      title: ""
      required:
        - short_description
        - supplier_sku
      type: object
      properties:
        id:
          type: integer
          description: Product Id.
          format: int32
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
        supplier_sku:
          maxLength: 50
          minLength: 0
          type: string
          description: Supplier SKU.
        short_description:
          maxLength: 255
          minLength: 0
          type: string
          description: Product description.
      additionalProperties: false
      description: Order Item Product View Model
    DeliveryDriver:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    DeliveryZone:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    DeliveryTime:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
        name:
          type: string
          description: Name.
          nullable: true
      additionalProperties: false
    OrderItemOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Order Item Outlet Model
    Campaign:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Campaign id
          format: int32
          nullable: true
        name:
          maxLength: 100
          minLength: 0
          type: string
          description: Campaign name
          nullable: true
      additionalProperties: false
      description: Campaign Model
    OrderPurchaseOrder:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: PO Id
          format: int32
          nullable: true
        status:
          $ref: "#/components/schemas/OrderPurchaseOrderStatus"
        eta:
          type: string
          description: ETA
          format: date-time
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
    OrderFulfilmentOutlet:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Order Fulfilment Outlet Model
    PaymentMethod:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Payment Method Id.
          format: int32
        name:
          type: string
          description: Payment Method Name.
          nullable: true
      additionalProperties: false
      description: Payment Method Model
    VoucherVoucherType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Voucher type Id.
          format: int32
          nullable: true
        name:
          type: string
          description: Voucher type code
          nullable: true
      additionalProperties: false
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[\w\-\s\/\+\.\;\:\(\)\*\&\^\%\$\#\@\,\']{1,50}$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
    OrderPurchaseOrderStatus:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Status identifier
          format: int32
          nullable: true
        name:
          type: string
          description: Status name
          nullable: true
      additionalProperties: false
```
